[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.DisplayChange

Implements the event handler signalled when the calculator display has been changed on the dialog form.

## Declaration

Source position: extdlgs.pas line 167

`protected procedure TCalculatorDialog.DisplayChange; virtual;`

## Description

DisplayChange signals the OnDisplayChange event handler (when assigned) to perform actions needed for the update. DisplayChange is used as the handler routine for the OnDisplayChange property in TCalculatorForm. It is assigned when the calculator form instance is created and configured in the Execute method. It allows the dialog form to notify the dialog component when its calculator panel has been updated.